GET https://api.ap1.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.ap2.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.datadoghq.eu/api/v2/scim/ResourceTypeshttps://api.ddog-gov.com/api/v2/scim/ResourceTypeshttps://api.us2.ddog-gov.com/api/v2/scim/ResourceTypeshttps://api.uk1.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.us3.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.us5.datadoghq.com/api/v2/scim/ResourceTypes
개요
이 서비스 공급자가 지원하는 SCIM 리소스 유형을 나열합니다.
자세한 내용은 RFC 7644 섹션 4를 참조하세요.
This endpoint requires
all
of the following permissions:
user_access_inviteuser_access_manage응답
OK
List resource types response object.
Expand All
List of resource types supported by this SCIM service provider.
Human-readable description of the resource type.
HTTP-addressable endpoint relative to the base URL where the resource is located.
The resource type's server unique id.
Metadata associated with a resource type.
URL identifying the resource type.
The resource type's primary or base SCIM schema URI.
A list of SCIM schema URI identifying the protocol or schema used in this object.
Number of resource types returned per page.
List response JSON Schemas.
Starting index of the resource types for this page (1-indexed).
Total number of resource types.
{
"Resources": [
{
"description": "https://tools.ietf.org/html/rfc7643#section-8.7.1",
"endpoint": "/Groups",
"id": "Group",
"meta": {
"location": "https://app.datadoghq.com/api/v2/scim/ResourceTypes/Group",
"resourceType": "ResourceType"
},
"name": "Group",
"schema": "urn:ietf:params:scim:schemas:core:2.0:Group",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ResourceType"
]
},
{
"description": "https://tools.ietf.org/html/rfc7643#section-8.7.1",
"endpoint": "/Users",
"id": "User",
"meta": {
"location": "https://app.datadoghq.com/api/v2/scim/ResourceTypes/User",
"resourceType": "ResourceType"
},
"name": "User",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ResourceType"
]
}
],
"itemsPerPage": 2,
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"startIndex": 1,
"totalResults": 2
}
Not Found
{
"errors": [
"Bad Request"
]
}
Too many requests
{
"errors": [
"Bad Request"
]
}
코드 예시
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/ResourceTypes" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"